## com.fasterxml.jackson.databind.ser.std
Class StdKeySerializers

    java.lang.Object
      com.fasterxml.jackson.databind.ser.std.StdKeySerializers

    public class StdKeySerializers

extends Object

Nested Class Summary
`static class` `StdKeySerializers.CalendarKeySerializer`
`static class` `StdKeySerializers.DateKeySerializer`
`static class` `StdKeySerializers.StringKeySerializer`

Field Summary
`protected static JsonSerializer<Object>` `DEFAULT_KEY_SERIALIZER`
`protected static JsonSerializer<Object>` `DEFAULT_STRING_SERIALIZER`

Method Summary
`static JsonSerializer<Object>` `getStdKeySerializer(JavaType keyType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_KEY_SERIALIZER

    protected static final JsonSerializer<Object> DEFAULT_KEY_SERIALIZER

### DEFAULT_STRING_SERIALIZER

    protected static final JsonSerializer<Object> DEFAULT_STRING_SERIALIZER

Method Detail

### getStdKeySerializer

    public static JsonSerializer<Object> getStdKeySerializer(JavaType keyType)

Copyright © 2012 fasterxml.com. All Rights Reserved.